#!/bin/sh

[ -z $GTKDIALOG ] && GTKDIALOG=gtkdialog

MAIN_DIALOG='
<window>
	<vbox>
		<frame Checkbox attributes example>
			<checkbox active="true">
				<label>Checkbox with active set to true</label>
				<variable>CHECKBOX1</variable>
				<action>echo Checkbox is $CHECKBOX1 now.</action>
			</checkbox>
			<checkbox draw_indicator="false">
				<label>Checkbox with draw_indicator set to false</label>
				<variable>CHECKBOX2</variable>
				<action>echo Checkbox is $CHECKBOX2 now.</action>
			</checkbox>
			<checkbox inconsistent="true">
				<label>Checkbox with inconsistent set to true</label>
				<variable>CHECKBOX3</variable>
				<action>echo Checkbox is $CHECKBOX3 now.</action>
			</checkbox>
		</frame>
		<hbox>
			<button ok>
				<variable>OKBUTTON</variable>
			</button>
			<button cancel></button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac
